import java.io.*;

class fa1 extends f_x
{
   double func (double x)
   {
    return x*Math.sin(10.0*Math.PI*x)+1.0;
   }
}
 
class PlotT02
{
     public static void main (String args[]) throws IOException
     {
	 fa1 ff1=new fa1();    
     Plot pp=new Plot(ff1,-2.0,2.0,400,2);
     pp.plot();
     }
}
